;; Simplify the GUI, thanks
;; http://www.masteringemacs.org/articles/2010/10/04/beginners-guide-to-emacs/
(menu-bar-mode -1)
(tool-bar-mode -1)
(scroll-bar-mode -1)
(setq focus-follows-mouse t)
(setq mouse-autoselect-window t)

;; Highlight current line
(global-hl-line-mode 1)

(defalias 'yes-or-no-p 'y-or-n-p)

(setq ediff-window-setup-function 'ediff-setup-windows-plain)

;;;; Set theme
;(load-theme 'distinguished t)
;(require 'github-theme)
;(require 'heroku-theme)
;;;; Good theme but uses different font sizes in org-mode, and (I think) some weird non-monospace font
;(require 'monokai-theme)
(require 'molokai-theme)

(require 'fullscreen-mode)
(fullscreen-mode 1)

(require 'relative-line-numbers)
;(setq relative-line-numbers-motion-function 'vertical-motion)
(setq relative-line-numbers-motion-function 'forward-visible-line)
(global-relative-line-numbers-mode 1)
